series: focal
applications:
  containerd:
    charm: cs:~containers/containerd
    channel: stable
    revision: 146
  easyrsa:
    charm: cs:~containers/easyrsa
    channel: stable
    revision: 408
    resources:
      easyrsa: 5
    num_units: 1
    to:
    - "0"
    constraints: arch=amd64
  etcd:
    charm: cs:~containers/etcd
    channel: stable
    revision: 622
    resources:
      core: 0
      etcd: 3
      snapshot: 0
    num_units: 1
    to:
    - "0"
    options:
      channel: auto
    constraints: arch=amd64
    storage:
      data: loop,1024M
  kubernetes-master:
    charm: cs:~containers/kubernetes-master
    channel: stable
    revision: 1051
    resources:
      cdk-addons: 0
      core: 0
      kube-apiserver: 0
      kube-controller-manager: 0
      kube-proxy: 0
      kube-scheduler: 0
      kubectl: 0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      authorization-mode: AlwaysAllow
      channel: 1.22/stable
      enable-dashboard-addons: false
      enable-metrics: false
      service-cidr: 10.96.0.0/12
      snapd_refresh: max
    constraints: arch=amd64
  kubernetes-worker:
    charm: cs:~containers/kubernetes-worker
    channel: stable
    revision: 801
    resources:
      cni-amd64: 1028
      cni-arm64: 1019
      cni-s390x: 1031
      core: 0
      kube-proxy: 0
      kubectl: 0
      kubelet: 0
    num_units: 1
    to:
    - "1"
    options:
      channel: 1.22/stable
      ingress: false
      snapd_refresh: max
    constraints: arch=amd64
  ntp:
    charm: ntp
    channel: stable
    revision: 50
  tf-agent:
    charm: local:contrail-agent-0
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      kernel-hugepages-2m: "256"
      log-level: SYS_DEBUG
  tf-analytics:
    charm: local:contrail-analytics-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-analyticsdb:
    charm: local:contrail-analyticsdb-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      cassandra-jvm-extra-opts: -Xms1g -Xmx2g
      cassandra-minimum-diskgb: "4"
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-controller:
    charm: local:contrail-controller-0
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      auth-mode: no-auth
      cassandra-jvm-extra-opts: -Xms1g -Xmx2g
      cassandra-minimum-diskgb: "4"
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      log-level: SYS_DEBUG
      min-cluster-size: 1
    constraints: arch=amd64
  tf-kubernetes-master:
    charm: local:contrail-kubernetes-master-0
    options:
      cluster_name: k8s
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      ip_fabric_snat: true
      log-level: SYS_DEBUG
      public_fip_pool: '{''domain'':''default-domain'',''project'':''k8s-default'',''name'':''__fip_pool_public__'',''network'':''__public__''}'
  tf-kubernetes-node:
    charm: local:contrail-kubernetes-node-0
    options:
      docker-registry: nexus.gz1.opensdn.io:5101
      docker-registry-insecure: true
      docker_runtime: auto
      image-tag: master-1_5_3_5-1
      log-level: SYS_DEBUG
  ubuntu:
    charm: ubuntu
    channel: stable
    revision: 24
    num_units: 2
    to:
    - "0"
    - "1"
    constraints: arch=amd64
    storage:
      block: loop,100M
      files: rootfs,100M
machines:
  "0":
    constraints: arch=amd64 mem=3584
  "1": {}
relations:
- - kubernetes-master:kube-api-endpoint
  - kubernetes-worker:kube-api-endpoint
- - kubernetes-master:kube-control
  - kubernetes-worker:kube-control
- - kubernetes-master:certificates
  - easyrsa:client
- - kubernetes-master:etcd
  - etcd:db
- - kubernetes-worker:certificates
  - easyrsa:client
- - etcd:certificates
  - easyrsa:client
- - kubernetes-master:container-runtime
  - containerd:containerd
- - kubernetes-worker:container-runtime
  - containerd:containerd
- - ubuntu:juju-info
  - ntp:juju-info
- - tf-controller:contrail-analytics
  - tf-analytics:contrail-analytics
- - tf-controller:contrail-analyticsdb
  - tf-analyticsdb:contrail-analyticsdb
- - tf-analytics:contrail-analyticsdb
  - tf-analyticsdb:contrail-analyticsdb
- - tf-agent:contrail-controller
  - tf-controller:contrail-controller
- - tf-kubernetes-master:contrail-controller
  - tf-controller:contrail-controller
- - tf-kubernetes-master:contrail-kubernetes-config
  - tf-kubernetes-node:contrail-kubernetes-config
- - tf-kubernetes-node:cni
  - kubernetes-master:cni
- - tf-kubernetes-node:cni
  - kubernetes-worker:cni
- - tf-kubernetes-master:kube-api-endpoint
  - kubernetes-master:kube-api-endpoint
- - tf-agent:juju-info
  - kubernetes-worker:juju-info
